Create a Volunteer Organizer
curl --request POST \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIndividualId": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactIndividualId: '<integer>'})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers"
payload = { "contactIndividualId": "<integer>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactIndividualId\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactIndividualId: '<integer>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteering
Create a Volunteer Organizer
Adds an individual to the opportunity as an organizer. Send the contactIndividualId of the person responsible. To sign someone up to serve instead, use the Create a Volunteer endpoint.
POST
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Organizers
Create a Volunteer Organizer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The volunteer opportunity identifier.
Body
application/json
The identifier of the contact individual this record belongs to.
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
The label to show for this value in a user interface.
A link to the related contact.
Last modified on August 11, 2026
Was this page helpful?
⌘I